<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Illuminate\Support\Facades\Auth;

class NewUser extends Notification
{
    use Queueable;

    public function via($notifiable)
    {
        return ['mail'];
    }

    public function toMail($notifiable)
    {
        $currentUser = Auth::user();

        return (new MailMessage())
            ->markdown('boilerplate::notifications.email')
            ->greeting(__('boilerplate::notifications.greeting', ['firstname' => $notifiable->first_name]))
            ->subject(__('boilerplate::notifications.newuser.subject', ['name' => config('app.name')]))
            ->line(__('boilerplate::notifications.newuser.intro', [
                'name' => $currentUser->first_name.' '.$currentUser->last_name,
            ]))
            ->action(
                __('boilerplate::notifications.newuser.button'),
                route('boilerplate.users.firstlogin', $notifiable->remember_token)
            )
            ->salutation(__('boilerplate::notifications.salutation', [
                'name' => $currentUser->first_name.' '.$currentUser->last_name,
            ]))
            ->line(__('boilerplate::notifications.newuser.outro'));
    }

    public function toArray($notifiable)
    {
        return [
        ];
    }
}
